Subject: Re: [PATCH net-next 1/6] docs: add more netlink docs (incl. spec docs)

From: Guillaume Nault <[email-masked]>
Date: Thu, 29 Sep 2022 15:34:13 +0200

On Wed, Sep 28, 2022 at 06:11:17PM -0700, Jakub Kicinski wrote:
> +Answer requests
> +---------------
> +
> +Older families do not reply to all of the commands, especially NEW / ADD
> +commands. User only gets information whether the operation succeeded or
> +not via the ACK. Try to find useful data to return. Once the command is
> +added whether it replies with a full message or only an ACK is uAPI and
> +cannot be changed. It's better to err on the side of replying.
> +
> +Specifically NEW and ADD commands should reply with information identifying
> +the created object such as the allocated object's ID.
> +
> +Having to rely on ``NLM_F_ECHO`` is a hack, not a valid design.
> +
> +NLM_F_ECHO
> +----------
> +
> +Make sure to pass the request info to genl_notify() to allow ``NLM_F_ECHO``
> +to take effect.

Do you mean that netlink commands should properly handle NLM_F_ECHO,
although they should also design their API so that users don't need it?